Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002901TestLinkUser Interface Generalpublic2009-10-16 23:162010-01-13 21:42
Reporteraostad 
Assigned Tomhavlat 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.8.5 (bug fixing) 
Summary0002901: Saving a test case will exit editing mode with a pop up window
DescriptionIn editing mode, whenever the user click on "save" he will be forced to exit with a message that says "Are you sure you want to navigate from this page". Getting such a pop up window after clicking on "Save" is a little bit annoying.

I think saving should not be "save+exit". The user may save his work many times before exiting editing mode.

Clicking on "Save" button should just save the latest version without getting a pop up message for exiting.

In case, the user tries to exit editing mode without saving his work, a pop up message can be useful to ask his confirmation. Therefore, he gets the chance to save his work before navigating from the page.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE8, FireFox 3.0.14
PHP Version5.2
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
child of 0002987closedEloff [Nagging] popup appears when saving after edit. 

-  Notes
(0008335)
jcam (reporter)
2009-11-24 04:11

I am seeing this same issue after upgrading to 1.8.4 from 1.8.1. When my testers edit an existing test case, clicking save throws the dialog that is mentioned in the text of this defect. This occurs in IE8 and FF3.5. It does not occur in Chrome 4.0.223.16.
(0008435)
mhavlat (reporter)
2009-12-08 18:54

I added a new configuration parameters that disables the feature by default:
$tlCfg->gui->checkNotSaved
In addition I fixed the call-flow problem with opening the pop-up after click on a button.
There is still problem, that a FCKeditor doesn't give correct status about changed content (function isDirty()). It should be solved under 0002987.

- Issue History
Date Modified Username Field Change
2009-10-16 23:16 aostad New Issue
2009-10-16 23:16 aostad Browser => IE8, FireFox 3.0.14
2009-10-16 23:16 aostad PHP Version => 5.2
2009-11-24 04:11 jcam Note Added: 0008335
2009-11-27 05:52 mhavlat Status new => assigned
2009-11-27 05:52 mhavlat Assigned To => mhavlat
2009-12-08 18:49 mhavlat Relationship added child of 0002987
2009-12-08 18:54 mhavlat Note Added: 0008435
2009-12-08 18:54 mhavlat Status assigned => resolved
2009-12-08 18:54 mhavlat Fixed in Version => 1.8.5 (bug fixing)
2009-12-08 18:54 mhavlat Resolution open => fixed
2010-01-13 21:42 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker